<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<f:section name="Default">

	<f:if condition="{f:count(subject: product.fileCollections)} && {shop:isEnabledField(product: product, attribute: 'fileCollections')}">
		<div class="{settings.detail.css.class.fileCollections.wrapperOuter}">
			<div class="{settings.detail.css.classfileCollections..wrapper}">
				<h3 class="{settings.detail.css.class.fileCollections.title}">
					<f:translate key="tx_shop_label.file_collections_headline" />
				</h3>
				<f:for each="{product.fileCollections}" as="fileCollection">

					<f:if condition="{f:count(subject: fileCollection.items)}">
						<f:if condition="{fileCollection.title}">
							<h4 class="{settings.detail.css.class.fileCollections.subtitle}">{fileCollection.title}</h4>
						</f:if>
						<ul class="{settings.detail.css.class.fileCollections.list.wrapper}">
							<f:for each="{fileCollection.items}" as="file">
								<li class="{settings.detail.css.class.fileCollections.list.item}">
									<a href="{file.publicUrl}"
									   target="_blank"
									   class="{settings.detail.css.class.fileCollections.list.link}">
										<f:if condition="{file.title}">
											<f:then>{file.title}</f:then>
											<f:else if="{file.properties.title}">{file.properties.title}</f:else>
											<f:else>{file.name}</f:else>
										</f:if>
									</a>
								</li>
							</f:for>
						</ul>
					</f:if>

				</f:for>
			</div>
		</div>
	</f:if>

</f:section>
</html>
